Bug 130058 - Hide Unreadable hides objects with user ACLs assigned
Hide Unreadable hides objects with user ACLs assigned
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-16 15:45 EDT by Edward L. Hannaford
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward L. Hannaford 2004-08-16 15:45:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
EXT3 partition with ACL support enabled.

Samba configured to authenticate from Active Directory (don't know if 
it's a factor).

Share configured with "hide unreadable = yes".

If an ACL is set for an AD user to read (or read and write, or read + 
write + execute) a directory or file then the directory or file is 
still hidden through Samba.

If an ACL is set for an AD group to read a directory or file then the 
directory or file is shown through Samba.

Version-Release number of selected component (if applicable):
samba-3.0.4-6.3E

How reproducible:
Always

Steps to Reproduce:
1.Create share directory (/shares/share1/foo)

2.Share the directory through Samba
  [Share1]
    path = /shares/share1
    read only = no
    hide unreadable = yes

3.Grant permissions to directory for user
  (setfacl -m u:AD@User1:r /shares/share1/foo)

4.Logon a Windows workstation to AD.

5.Browse to the share (\\Sambaserver\share1)
    

Actual Results:  Folder foo is not visible

Expected Results:  Folder foo should be visible

Additional info:

The permissions still seem to be effective.  If I map a drive to the 
share and open up a Command Prompt I still can't *see* the directory 
but I can use the CD command to enter the directory.

Feel free to contact me for more info (smb.conf, etc.)
Comment 1 RHEL Product and Program Management 2007-10-19 15:20:39 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.